Qolsys IQ Panel 2 - Showing "Error: couldn't connect to primary"

If your IQ2 is showing "Error: couldn't connect to primary" it may be that your firmware is incompatible. 

Locate The IQ Control Panel Firmware

1. Select "Settings"

2. Enter "Installer Code" (Default:1111)

3. Select "About"

4. Locate the "Software Version". Make a note of what firmware version it is. You'll need to give this information to a Technician. The firmware needs to be (1.5.3.).

Locate The IQ2 Touchscreen Firmware

1. Select "Settings"

2. Enter "Master Code"

3. Select "About"

4. Locate the "Software Version". Make a note of what firmware version it is. You'll need to give this information to a Technician. The firmware needs to be (1.5).

Contact Tech Support 

To make sure the upgrade is done properly, please call (785)-321-3103 and request for assistance on installing your IQ2 touchscreen. We will take you through the proper steps on upgrading your panel. You will need to be on site with the IQ.  

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.